> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getdecisional.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Presigned URL for Data Source

> Returns a presigned URL for a data source



## OpenAPI

````yaml GET /api/v1/data-sources/{id}/presigned-url
openapi: 3.0.1
info:
  title: Knowledge Engine API
  description: Public API endpoints for managing knowledge engines
  version: 1.0.0
servers:
  - url: https://api.getdecisional.ai
security: []
paths:
  /api/v1/data-sources/{id}/presigned-url:
    get:
      summary: Get a presigned URL for a data source
      description: Returns a presigned URL for a data source
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Presigned URL found
          content:
            application/json:
              schema:
                type: object
                properties:
                  presigned_url:
                    type: string

````